LogoSignature Service
REST APISigning room users

Search users

Lookup API to retrieve signatories member of the signing room. The result may contain external signatories depending of the organization's settings.

GET
/admin/api/v3/organizations/{organizationId}/rooms/{signingRoomId}/signatories/lookup

Lookup API to retrieve signatories member of the signing room. The result may contain external signatories depending of the organization's settings.

Authorization

basicAuth
AuthorizationBasic <token>

In: header

Path Parameters

organizationId*string
signingRoomId*string

Query Parameters

searchQuery?string

Search query to filter users by firstname, lastname or email

page?integer

Zero-based page index (0..N)

Formatint32
Default0
size?integer

The size of the page to be returned

Formatint32
Default2000
sortBy?string

Sort By

Default"lastname"

Value in

  • "firstname"
  • "lastname"
  • "email"
sortDirection?string

Sort direction

Default"ASC"

Value in

  • "ASC"
  • "DESC"
roomMember?boolean
Deprecated

Filter users depending whether they are member of the signing room. All users are returned if parameter is missing

requiresInvitation?boolean
Deprecated

Filter users depending whether they need to go through the invitation process to join the signing room. All users are returned if parameter is missing

purpose?string

Filter users depending on the purpose of the requests. The 'roomMember' amd 'requiresInvitation' parameters are ignored if 'purpose' is not null.

Value in

  • "SIGNING_REQUEST_SIGNATORY"
  • "SIGNATORY_INVITATION"
  • "PERMISSION_INVITATION"
  • "SIGNING_REQUEST_DELIVERY_RECIPIENT"

Response Body

application/json

curl -X GET "https://example.com/admin/api/v3/organizations/string/rooms/string/signatories/lookup"
{  "content": [    {      "displayName": "string",      "email": "string",      "firstname": "string",      "lastname": "string",      "requiresInvitation": true,      "roomMember": true    }  ],  "empty": true,  "first": true,  "last": true,  "number": 0,  "numberOfElements": 0,  "pageable": {    "offset": 0,    "pageNumber": 0,    "pageSize": 0,    "paged": true,    "sort": {      "empty": true,      "sorted": true,      "unsorted": true    },    "unpaged": true  },  "size": 0,  "sort": {    "empty": true,    "sorted": true,    "unsorted": true  },  "totalElements": 0,  "totalPages": 0}